IBM Support

IBM Tivoli Storage Manager (TSM) Client Requirements for V6.4, which is past End-of-Support (EOS)

Troubleshooting


Problem

Hardware and Software Requirements for IBM Tivoli Storage Manager (TSM) 6.3 clients, which reached End-Of-Support (EOS) on September 30, 2017.

Symptom

IBM Tivoli Storage Manager (TSM) 6.4 Client Requirements (V6.4 went EOS on September 30, 2017)

Note: There are no support extensions for TSM Version 6.4 products. Clients are encouraged to upgrade to a current product release that has not yet reached end of support. See in TSM Family Products with Support Extension contracts available which releases are active supported or which which are the recommendations for replacement.


AIX Version6.4
HP-UX Itanium (IA64) Version 6.4
Linux on POWER Version 6.4
Linux x86/x86_64 Version 6.4
Linux zSeries Version 6.4
Macintosh Version 6.4
Solaris SPARC Version 6.4
Windows Version 6.4


AIX Version 6.4

Hardware
Operating System
Communication Protocol
System:
RS/6000 or System i or System p, or compatible hardware as supported by AIX

For IBM PowerHA® SystemMirror: One additional network adapter for each workstation.

Disk Space:
1.5 GB disk space is required to install the client, and all language packs.

Memory:
No additional RAM is required.
One of the following:
  • AIX 6.1
  • AIX 7.1
(64-bit kernel)
Note: v6.4.2 backup-archive client require AIX 6.1 TL5 or later. See technote: http://www.ibm.com/support/docview.wss?uid=swg21961933

Backup/Archive client supports the following filesystems:
  • JFS
  • JFS2
  • JFS2 NFSv4
  • GPFS 3.4.0.4
    or higher fix level
  • GPFS 3.5
  • VxFS 5.0
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)

Note:
The Web backup-archive client requires TCP/IP
Additional Software You can also search the IBM support portal for the files at: http://www.ibm.com/support/entry/myportal/support
  • Java GUI and Web backup-archive client require:
    • prior to 6.4.3:
      • Java GUI requires Java: JRE 6 or JRE 7
      • The Web client requires the Java plugin that is included in JRE 6 or JRE 7.
    • beginning with 6.4.3:
      • Java GUI requires Java: JRE 6 or JRE 7 or JRE 8
      • The Web client requires the Java plugin that is included in JRE 6 or JRE 7 or JRE 8.
Note: The client is supported when running in a Firefox browser with the required plugin.
Other Notes
  • NetApp Data ONTAP supported levels:
    http://www.ibm.com/support/docview.wss?uid=swg21474217
  • GPFS SOBAR is supported beginning with Backup-Archive client version 6.4.1.
    Minimum GPFS level required is GPFS 3.5 TL 3. TSM for Space Management version 6.4.1 or higher is also required for GPFS SOBAR.


HP-UX Itanium (IA64) Version 6.4

Hardware
Operating
System
Communication
Protocol
System:
An HP Integrity server (Itanium) workstation or equivalent

Disk Space:
700 MB disk space is required to install the client, and all language packs.

Memory:
No additional RAM is required.
  • 11i V3 for Itanium 2 64-bit
  • TCP/IP, which comes standard with HP-UX
  • Shared Memory (with HP-UX Itanium server only)

Note:
The Web backup-archive client requires TCP/IP
Additional Software:
Web backup-archive client and Java GUI require:
  • prior to 6.4.3:
    • Java GUI requires Java: JRE 6 or JRE 7
    • The Web client requires the Java plugin that is included in JRE 6 or JRE 7.
  • beginning with 6.4.3:
    • Java GUI requires Java JRE 6 or JRE 7 or JRE 8
    • The Web client requires the Java plugin that is included in RE6 or JRE 7 or JRE 8.
Note:
1. Search http://www.hp.com for appropriate terms to locate the download. For example, search for Java JRE.
2. The Web client is supported when running in a Firefox browser with the required plugin.



Linux on POWER Version 6.4

Hardware
Operating System
Communication Protocol
System:
IBM System p or IBM System i, with POWER processors, as supported by Linux distribution

Disk Space:
200 MB disk space is required to install the client, and all language packs.

Memory:
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 11 (64 bit)
  • SLES 10 (64 bit)
    Note: SP1 and higher required for snapshot image backup ​​
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)
  • TCP/IP, which comes standard with Linux
  • Shared Memory (with Linux on Power TSM server only)
Additional Software
  • Java GUI and Web backup-archive client require:
    • prior to 6.4.3:
      • Java GUI requires Java: JRE 6 or JRE 7
      • The Web client requires the Java plugin that is included in JRE 7
    • beginning with 6.4.3:
      • Java GUI requires Java: JRE 6 or JRE 7 or JRE 8
      • The Web client requires the Java plugin that is included in JRE 6 or JRE 7 or JRE 8.
    Note: The client is supported when running in a Firefox browser with the required plugin.
  • For EXT2/EXT3/XFS ACL support, you need the acl package.
  • The image backup and restore functions for LVM2 volumes require libdevmapper.so Version 1.01 or higher. If the library is at a lower level than required or it is not available, image backups for LVM2 volumes fail.
    The libdevmapper.so library is distributed with the device mapper packages. On RHEL, the package is called device-mapper-libs and on SLES it is called device-mapper.
  • The following GPFS versions are supported:
    • GPFS 3.4.0.4 or higher fix level
    • GPFS 3.5



Linux x86/x86_64 Version 6.4

Hardware
Operating System
Communication Protocol
System:
Systems based on the X86 64bit processor architecture such as Intel-64 or AMD64

No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 11
    (including SLES 11 level in Novell OES 11 details)
  • SLED 11
  • SLES 10

  • (including SLES 10 level in Novell OES 2 details)
  • SLED 10
  • Note: SP1 and higher required for snapshot image backup on
    SLES 10 and SLED 10
  • Red Hat Enterprise Linux 6 for Servers
  • Red Hat Enterprise Linux 6 Desktop
  • Red Hat Enterprise Linux 5 for Servers
  • Red Hat Enterprise Linux 5 Desktop

Note: For "best effort" support of other Linux distributions, see this technote: http://www.ibm.com/support/docview.wss?uid=swg21417165
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86_64 TSM server)
Additional Software
  • For EXT2/EXT3/XFS ACL support, you need the acl package.
  • The image backup and restore functions for LVM2 volumes require libdevmapper.so Version 1.01 or higher. If the library is at a lower level than required or it is not available, image backups for LVM2 volumes fail.
    The libdevmapper.so library is distributed with the device mapper packages. On RHEL, the package is called device-mapper-libs and on SLES it is called device-mapper.
  • Java GUI and Web backup-archive client require:
    • prior to 6.4.3:
      • Java GUI requires Java: JRE 6 or JRE 7
      • The Web client requires the Java plugin that is included in JRE 6 or JRE 7
    • beginning with 6.4.3:
      • Java GUI requires Java: JRE 6 or JRE 7 or JRE 8
      • The Web client requires the Java plugin that is included in JRE 6 or JRE 7 or JRE 8
    Note: The client is supported when running in a Firefox browser with the required plugin.
  • To perform backups or restores of VMware virtual machines using the Backup-Archive Client the following package must be installed:
    • On a SUSE Linux system, the libfuse.so.2 shared object library must be installed. Install the libfuse version 2 package.
    • On Red Hat Enterprise Linux system, the libfuse.so2, libxml2.so, and libexpat.so shared object libraries must be installed. Install fuse-libs version 2 package.
    • Consistent backup failures have been experienced with some RedHat 6 and SLES 11 Backup-Archive clients used to perform backups of VMware virtual machines, and IC88237 has been opened for the issue. A fix is targeted for the 6.4.0.1 interim fix in January 2013.
Other Notes


Linux zSeries Version 6.4

Hardware
Operating System
Communication Protocol
System:
Any z system supported by the Linux distributions listed in this table, in 64 bit mode

Disk Space:
200 MB disk space is required to install the client, and all language packs.

Memory:
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 11
  • SLES 10
    Note: SP1 and higher required for snapshot image backup ​
  • RHEL 5
  • RHEL 6
  • TCP/IP, which comes standard with Linux
  • Shared Memory (with zSeries Linux TSM server only)
Additional Software:
  • The Web client requires:
    • prior to 6.4.3: the Java plugin that is included in JRE 6 or JRE 7
    • beginning with 6.4.3: Java plugin that is included in JRE 6 or JRE 7 or JRE 8
    Note: The client is supported when running in a Firefox browser with the required plugin.
  • For EXT2/EXT3/XFS ACL support, you need the acl package.
  • The image backup and restore functions for LVM2 volumes require libdevmapper.so Version 1.01 or higher. If the library is at a lower level than required or it is not available, image backups for LVM2 volumes fail.
    The libdevmapper.so library is distributed with the device mapper packages. On RHEL, the package is called device-mapper-libs and on SLES it is called device-mapper.


Macintosh Version 6.4

Hardware
Operating System
Communication Protocol
System:
Any 64-bit Intel-based Macintosh
Macintosh OS X:
10.7
10.8
10.9, with 6.4.1.5 or higher client
TCP/IP
Additional software:
  • For Java GUI and Web GUI: Java JRE 6


Solaris SPARC Version 6.4

Hardware
Operating System
Communication Protocol
System:
SPARC system (sun4u or sun4v or equivalent)

Memory:
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • Solaris 11 all updates
  • Solaris 10 (64 bit) update 1 or higher
  • TCP/IP, which comes standard with Solaris
  • Shared Memory Communication (with TSM Solaris server only, Solaris 10 only)
Additional Software
Java GUI and Web backup-archive client require:
  • Java JRE 6 or 7
  • beginning with 6.4.3 Java JRE 7 or 8



Windows Version 6.4
Hardware
Operating System
Communication Protocol, Other
System:
32-bit: An x32 or compatible processor, or multi-processor based computer

x64: An AMD64 or EM64T processor or multi-processor based computer


Disk Space:
1.5 GB disk space is required to install the client


Memory:
128 MB RAM is required to install the client

Backup/Archive client (including Web client) and API client require one of the following:
  • Windows Vista, all editions, all SPs supported1
  • Windows 2008 Server and Windows 2008 Server Core, all editions, all SPs supported
  • Windows Server 2008 R2 and Windows Server 2008 R2 Server Core, all editions, all SPs supported.
  • Windows Server 20122 and Windows Server 2012 R2 3, all editions and SPs supported
  • Windows 7, all editions, all SPs supported.
  • Windows 82 and Windows 8.14, all editions, all SPs supported.
One for the following, which are included in the base Windows product packages:
  • TCP/IP (the only one used for Web client)
  • Named Pipes (used in conjunction with TSM server running on same Windows machine)

Shared Memory (used in conjunction with TSM server running on same Windows machine)
Notes:
  • For information on which TSM client functions are supported on which hardware, see Function table
  • The Web client requires:
    • prior to 6.4.3: the Java plugin that is included in JRE 6 or JRE 7
    • beginning with 6.4.3: Java plugin that is included in JRE 6 or JRE 7 or JRE 8
    Note: The client is supported when running in Microsoft Internet Explorer, Mozilla Firefox or Google Chrome browsers with the required plugin.
  • Only 64-bit clients can be run on 64-bit machines.
  • Automated System Recovery (ASR) for non-EFI systems
  • Supported for Microsoft Hyper-V is documented in this IBM Technote
  • Supported levels for NetApp Data ONTAP:
    http://www.ibm.com/support/docview.wss?uid=swg21474217
  • The following GPFS releases are supported:
    • GPFS 3.4.0.4 (or higher GPFS 3.4 fix level)
    • GPFS 3.5

1. NOTE on Windows Vista:
  • SP1 or higher is required to back up or restore System State with the VSS snapshot provider.
2. NOTE on Windows 8 and Windows 2012:
  • The support does not include support for:
    VMware Full-VM backups (guest VM is supported)
3. NOTE Windows 2012 R2:
  • Supported with 6.4.2 or higher 6.4 fix pack
  • The following are known issues with Windows Server 2012 R2:
    To perform an application-consistent backup or restore by using Work Folders in Windows Server 2012 R2, apply the Microsoft hotfix for knowledge base article 2909185. See details at http://support.microsoft.com/kb/2909185.
4. NOTE on Windows 8.1
  • Supported with 6.4.2 or higher 6.4 fix pack


Related Information

[{"Product":{"code":"SSGSG7","label":"Tivoli Storage Manager"},"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Component":"Client","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF010","label":"HP-UX"},{"code":"PF014","label":"iOS"},{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"}],"Version":"6.4","Edition":"","Line of Business":{"code":"LOB26","label":"Storage"}}]

Document Information

Modified date:
17 June 2018

UID

swg22011587